function define_default(e, t, n) {
	e.prototype = t.prototype = n, n.constructor = e;
}
function extend(e, t) {
	var n = Object.create(e.prototype);
	for (var r in t) n[r] = t[r];
	return n;
}
export { define_default as default, extend };
